This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1461924 - Disk and node detection fails in VirtualBox
Disk and node detection fails in VirtualBox
Status: ASSIGNED
Product: Red Hat Storage Console
Classification: Red Hat
Component: Node Agent (Show other bugs)
3
x86_64 Linux
unspecified Severity medium
: alpha
: 3-alpha
Assigned To: gowtham
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 11:46 EDT by Jeff Applewhite
Modified: 2017-06-28 05:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
i can reproduce it, I can see free disk from api but it not displayed in UI (17.37 KB, text/plain)
2017-06-23 08:53 EDT, gowtham
no flags Details
Works fine for me (62.80 KB, image/png)
2017-06-27 09:19 EDT, gowtham
no flags Details

  None (edit)
Description Jeff Applewhite 2017-06-15 11:46:38 EDT
Description of problem:
Storage Nodes do not show up as usable in virtualbox with additional disks attached.



Version-Release number of selected component (if applicable):
pre-alpha

How reproducible:
always (with additional disks)

Steps to Reproduce:
1.add two disks to a virtual host in virtualbox
2.add the node agent 
3.do discovery

Actual results:
node does not show up as a possible node for ceph or gluster deployment

Expected results:
node shows up as target for cluster deployment

Additional info:
Nodes do not show up as usable in virtualbox.

Node info on disks.
[root@stg01 ~]# hwinfo --disk
11: IDE 00.0: 10600 Disk
[Created at block.245]
Unique ID: 3OOL.cMlqCJOAtQ5
Parent ID: mnDB.V_9AHXukieF
SysFS ID: /class/block/sda
SysFS BusID: 0:0:0:0
SysFS Device Link: /devices/pci0000:00/0000:00:01.1/ata1/host0/target0:0:0/0:0:0:0
Hardware Class: disk
Model: "VBOX HARDDISK"
Vendor: "VBOX"
Device: "HARDDISK"
Revision: "1.0"
Serial ID: "VB1ac949fd-46e0836d"
Driver: "ata_piix", "sd"
Driver Modules: "ata_piix"
Device File: /dev/sda
Device Files: /dev/sda, /dev/disk/by-id/ata-VBOX_HARDDISK_VB1ac949fd-46e0836d, /dev/disk/by-path/pci-0000:00:01.1-ata-1.0
Device Number: block 8:0-8:15
BIOS id: 0x80
Geometry (Logical): CHS 5221/255/63
Size: 83886080 sectors a 512 bytes
Capacity: 40 GB (42949672960 bytes)
Geometry (BIOS EDD): CHS 83220/16/63
Size (BIOS EDD): 83886080 sectors
Geometry (BIOS Legacy): CHS 1024/255/63
Config Status: cfg=new, avail=yes, need=no, active=unknown
Attached to: #4 (IDE interface)

12: IDE 01.0: 10600 Disk
[Created at block.245]
Unique ID: WZeP.1q2gg+vKQuF
Parent ID: mnDB.V_9AHXukieF
SysFS ID: /class/block/sdb
SysFS BusID: 0:0:1:0
SysFS Device Link: /devices/pci0000:00/0000:00:01.1/ata1/host0/target0:0:1/0:0:1:0
Hardware Class: disk
Model: "VBOX HARDDISK"
Vendor: "VBOX"
Device: "HARDDISK"
Revision: "1.0"
Serial ID: "VBecb16747-d60caba0"
Driver: "ata_piix", "sd"
Driver Modules: "ata_piix"
Device File: /dev/sdb
Device Files: /dev/sdb, /dev/disk/by-id/ata-VBOX_HARDDISK_VBecb16747-d60caba0, /dev/disk/by-path/pci-0000:00:01.1-ata-1.1
Device Number: block 8:16-8:31
Geometry (Logical): CHS 1402/255/63
Size: 22528000 sectors a 512 bytes
Capacity: 10 GB (11534336000 bytes)
Config Status: cfg=new, avail=yes, need=no, active=unknown
Attached to: #4 (IDE interface)

13: IDE 100.0: 10600 Disk
[Created at block.245]
Unique ID: _kuT.QTGyYTXApo1
Parent ID: mnDB.V_9AHXukieF
SysFS ID: /class/block/sdc
SysFS BusID: 1:0:0:0
SysFS Device Link: /devices/pci0000:00/0000:00:01.1/ata2/host1/target1:0:0/1:0:0:0
Hardware Class: disk
Model: "VBOX HARDDISK"
Vendor: "VBOX"
Device: "HARDDISK"
Revision: "1.0"
Serial ID: "VB42405663-a6ae3b67"
Driver: "ata_piix", "sd"
Driver Modules: "ata_piix"
Device File: /dev/sdc
Device Files: /dev/sdc, /dev/disk/by-id/ata-VBOX_HARDDISK_VB42405663-a6ae3b67, /dev/disk/by-path/pci-0000:00:01.1-ata-2.0
Device Number: block 8:32-8:47
Geometry (Logical): CHS 1402/255/63
Size: 22528000 sectors a 512 bytes
Capacity: 10 GB (11534336000 bytes)
Config Status: cfg=new, avail=yes, need=no, active=unknown
Attached to: #4 (IDE interface)
Comment 3 Rohan Kanade 2017-06-22 07:26:30 EDT
We have improved the tendrl-node-agent for making sure the node inventory sync does not bail on individual failures

https://github.com/Tendrl/node-agent/issues/509

But QE needs to test on these varied envs and report individual issues for more visibility
Comment 4 gowtham 2017-06-23 08:53 EDT
Created attachment 1291044 [details]
i can reproduce it, I can see free disk from api but it not displayed in UI

i have created tendrl setup in virtual box and i have added one more extra free disk also, but the free disk is not displayed in UI. I can see the free disk in api response. 
i thought virtual disk serial id have hyphen so key mismatch is happening But i 
have changed changed and tested again, after this also disk is not displayed.
Comment 5 gowtham 2017-06-23 08:53:56 EDT
@negupta@redhat.com
Comment 8 gowtham 2017-06-27 09:19 EDT
Created attachment 1292331 [details]
Works fine for me

I have checked this with virtual box, i created one server and one node after that i have added 2 disks and started node agent but i can see the free disk.
Above comment i have misunderstood, Thanks neha for UI explanation. 

It seems works fine to me

Note You need to log in before you can comment on or make changes to this bug.